# class MessageNotifier | Post-dispatching message hook. More...
Contains pure virtuals
Full name | `TelEngine::MessageNotifier`
Definition | `#include <yatengine.h>`
Inherited by | Channel, ClientChannel, MessagePostHook
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual ~MessageNotifier ()
- virtual void dispatched (const Message& msg, bool handled)

## Detailed Description

An abstract class to implement hook methods called after any message has been dispatched. If an object implementing MessageNotifier is set as user data in a Message then the dispatched() method will be called.

~MessageNotifier () | ### ~MessageNotifier

[virtual]

Destructor. Keeps compiler form complaining.

void dispatched (const Message& msg, bool handled) | ### dispatched

[pure virtual]

This method is called after a message was dispatched.

Parameters:

msg | The already dispatched message message
handled | True if a handler claimed to have handled the message

Generated by: paulc on bussard on Fri Dec 21 16:28:34 2012, using kdoc 2.0a54.